variables:
  DEPLOY_ENVIRONMENT_HELM_SUBDIRECTORY: 'ph-us-idp-ui'
  BRAND: 'ph_us'
  IS_MANUAL_TRIGGER: "true"
  IDP_ENVIRONMENT:
    description: Name of environment to trigger manually. Should be one of dev, qa, perf, staging, prod
  GIT_TAG:
    description: (optional) git tag to deploy, if none present will use HEAD of master.


print_variables:
  only:
    - web
  script:
    - echo "Pipeline Variables:"
    - echo "$IDP_ENVIRONMENT"
    - echo "$GIT_TAG"
    - echo "$DEPLOY_ENVIRONMENT_HELM_SUBDIRECTORY"
    
deploy:
  stage: deploy
  only:
    - web
  trigger:
    forward:
      pipeline_variables: true
    include:
    - project: 'yumsre-infraops/bitops'
      file: '/pipelines/.gitlab-ci.publish-and-deploy.yml'
